Getting Started With the Mayfly Data Logger
==============

<img src="https://github.com/EnviroDIY/EnviroDIY_Mayfly_Logger/blob/master/doc/images/mayfly0.3_sideview_right.jpg" width="300" align="right">

The EnviroDIY Mayfly Data Logger is a powerful, user-programmable microprocessor board that is fully compatible with the Arduino IDE software. It features the ATmega1284p processor, which is much more powerful than the 328p chip found on most other Arduino boards. It has 4 times more flash memory for sketches, 8 times more RAM, and almost twice as many input pins.

## Features:

* 128K Flash memory, 16K RAM
* 28 digital I/O pins, 8 analog pins, plus 4 additional high-resolution ADC pins
* 2 serial UART ports
* microSD memory card socket
* Onboard realtime clock (RTC) (DS3231)
* Solar lipo battery charging
* Bee module socket
* 2 LEDs, 1 user programmable pushbutton
* 3.3v main board voltage, additional 5-volt boost circuity for external devices
* Two 20-pin headers for accessing all available I/O pins
* 6 Grove-style sockets for easy connections to sensors and devices

The memory card socket, RTC, and solar charging features make it very easy to use this board for data logging and low-power operation. But it can also be used by itself, or with a wide variety of devices and accessories.  The Mayfly can be powered by a 3.7v lithium battery or through the microUSB port. Programming can be done through the microUSB port or via the FTDI header.

## Hardware Details

Find information about the Mayfly circuit board and its features, with descriptions about the various connectors and sockets, and the schematic diagram.

- [Get hardware details](https://github.com/EnviroDIY/EnviroDIY_Mayfly_Logger/tree/master/hardware).

## Software Instructions

Follow these instructions for adding the Mayfly board to your Arduino IDE, then you can program it with some of these sample code sketches.

- [Get software details](https://github.com/EnviroDIY/EnviroDIY_Mayfly_Logger/blob/master/doc/Software_Intro.md).

- Follow our [LearnEnviroDIY tutorial](https://envirodiy.github.io/LearnEnviroDIY/) to use our [ModularSensors](https://github.com/EnviroDIY/ModularSensors) code library and other [EnviroDIY libraries on GitHub](https://github.com/EnviroDIY)
